AbstractFieldInterceptor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.instrumentation.spi
Class AbstractFieldInterceptor

    java.lang.Object
      org.hibernate.bytecode.instrumentation.spi.AbstractFieldInterceptor

All Implemented Interfaces:
  Serializable, FieldInterceptor

Direct Known Subclasses:
  FieldInterceptorImpl

    public abstract class AbstractFieldInterceptor

extends Object
implements FieldInterceptor, Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `AbstractFieldInterceptor(SessionImplementor session, Set uninitializedFields, String entityName)`

Method Summary
`void` | `clearDirty()` Clear the internal dirty flag.
`void` | `dirty()` Forcefully mark the entity as being dirty.
`String` | `getEntityName()`
`SessionImplementor` | `getSession()`
`Set` | `getUninitializedFields()`
`protected Object` | `intercept(Object target, String fieldName, Object value)`
`boolean` | `isDirty()` Is the entity considered dirty?
`boolean` | `isInitialized()` Is the entity to which we are bound completely initialized?
`boolean` | `isInitialized(String field)` The the given field initialized for the entity to which we are bound?
`boolean` | `isInitializing()`
`void` | `setSession(SessionImplementor session)` Use to associate the entity to which we are bound to the given session.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractFieldInterceptor

    protected AbstractFieldInterceptor(SessionImplementor session,
                                       Set uninitializedFields,
                                       String entityName)

Method Detail

### setSession

    public final void setSession(SessionImplementor session)

  Description copied from interface: `FieldInterceptor`
  Use to associate the entity to which we are bound to the given session.

  Specified by:
    `setSession` in interface `FieldInterceptor`
  Parameters:
    `session` - The session to which we are now associated.

### isInitialized

    public final boolean isInitialized()

  Description copied from interface: `FieldInterceptor`
  Is the entity to which we are bound completely initialized?

  Specified by:
    `isInitialized` in interface `FieldInterceptor`
  Returns:
    True if the entity is initialized; otherwise false.

### isInitialized

    public final boolean isInitialized(String field)

  Description copied from interface: `FieldInterceptor`
  The the given field initialized for the entity to which we are bound?

  Specified by:
    `isInitialized` in interface `FieldInterceptor`
  Parameters:
    `field` - The name of the field to check
  Returns:
    True if the given field is initialized; otherwise false.

### dirty

    public final void dirty()

  Description copied from interface: `FieldInterceptor`
  Forcefully mark the entity as being dirty.

  Specified by:
    `dirty` in interface `FieldInterceptor`

### isDirty

    public final boolean isDirty()

  Description copied from interface: `FieldInterceptor`
  Is the entity considered dirty?

  Specified by:
    `isDirty` in interface `FieldInterceptor`
  Returns:
    True if the entity is dirty; otherwise false.

### clearDirty

    public final void clearDirty()

  Description copied from interface: `FieldInterceptor`
  Clear the internal dirty flag.

  Specified by:
    `clearDirty` in interface `FieldInterceptor`

### intercept

    protected final Object intercept(Object target,
                                     String fieldName,
                                     Object value)

### getSession

    public final SessionImplementor getSession()

### getUninitializedFields

    public final Set getUninitializedFields()

### getEntityName

    public final String getEntityName()

### isInitializing

    public final boolean isInitializing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.